Delete a contract by ID
curl --request DELETE \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/services/{serviceId}/contracts/{contractId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Monthly Contract",
"serviceId": 123,
"serviceName": "GitHub",
"workspaceId": 456,
"workspaceName": "Production Workspace",
"dueDate": "2023-01-01T00:00:00.000Z",
"nextDueDate": "2023-02-01T00:00:00.000Z",
"note": "Contract notes"
}Contracts
Delete a contract by ID
DELETE
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
services
/
{serviceId}
/
contracts
/
{contractId}
Delete a contract by ID
承認
レスポンス
200 - application/json
例:
1
例:
"Monthly Contract"
例:
123
例:
"GitHub"
例:
456
例:
"Production Workspace"
例:
"2023-01-01T00:00:00.000Z"
例:
"2023-02-01T00:00:00.000Z"
例:
"Contract notes"
最終更新日 2026年7月14日
⌘I

